<!DOCTYPE html>
<html lang="en">
<style>
#loading-mask {
  position: fixed;
  left: 0px; 
  right: 0px; 
  top: 0px; 
  bottom: 0px; 
  background-color: #eeeeee;
  z-index: 99;
}
</style>
<body>
    <div id="loading-mask"></div>
    <div class="container">
    <div id="close">⨯</div>
    <div class="items">
        <div class="items-head">
          <p id="header-text"></p>
        </div>
        <hr>
        <div id="device-list" class="items-body">
            <span id="loader"></span>
        </div>

    </div>
    </div>
    <script src="../ts/main/devicePicker/devicePickerRenderer.js"></script>
</body>

<style>
* {
  box-sizing: border-radius;
  font-family: 'Rubik', sans-serif;
}
#loader {
  width: 24px;
  height: 24px;
  display: block;
  margin: 20% auto 0 auto;
  position: relative;
  border: 3px solid #ff5722;
  border-radius: 50%;
  box-sizing: border-box;
  animation: animloader 2s linear infinite;
}
#loader::after {
  content: '';  
  box-sizing: border-box;
  width: 3px;
  height: 12px;
  background: #ff5722;
  transform: rotate(-45deg);
  position: absolute;
  bottom: -10px;
  left: 23px;
}

@keyframes animloader {
  0% {
    transform: translate(-10px, -10px);
  }
  25% {
    transform: translate(-10px, 10px);
  }
  50% {
    transform: translate(10px, 10px);
  }
  75% {
    transform: translate(10px, -10px);
  }
  100% {
    transform: translate(-10px, -10px);
  }
}
.container { 
  position: absolute;
  top: 0; right: 0; bottom: 0; left: 0;
  margin: auto;
  
  display: grid;
  place-items: center;
  background-color: #eeeeee;
}

.items {
  height: 80%;
  margin-top: 20px;
  background: #eeeeee;
  border-top: 2px solid #ff5722;
}

.items-head p {
  padding: 5px 20px;
  margin: 10px;
  color: #ff5722;
  font-weight: bold;
  font-size: 20px;
}

hr {
  margin: 0px 30px;
  border: 1px solid #ff5722;
}

.items-body {
  padding: 10px;
  margin: 10px;
  display: flex;
  flex-direction: column;
  height: 150px;
  overflow: overlay;
}

.items-body-content {
  padding: 10px;
  padding-right: 0px;
  margin: 5px 0;
  display: grid;
  grid-template-columns: 10fr 1fr;
  background-color: #F3F3F5;
  font-size: 13px;
  grid-gap: 10px;
  border: 1px solid transparent;
  cursor: pointer;
  border-radius: 5px;
}

.items-body-content:hover {
  border: 1px solid #ff5722;
}

#close {
  font-weight: bolder;
  position: absolute;
  top: 5px;
  right: 10px;
  cursor: pointer;
  color: #555
}

#close:hover{
  color:#ff5722;
}

#no-device {
  font-style: italic;
  color: #555;
  text-align: center;
}
</style>
</html>